import React from 'react';
import styles from './index.less';
import { LinkProps } from '../detailInterface';

export const ApolloLinkDetail = (props: LinkProps) => {
    const { value } = props;
    if (!value) return null;
    if (Array.isArray(value)) {
        return (
            <div className={styles.text}>
                {value.map((item, i) => {
                    return (
                        <div key={i}>
                            <a href={item.value} style={{ textDecoration: 'underline' }} rel="noopener noreferrer">
                                {item.text || item.value}
                            </a>
                        </div>
                    );
                })}
            </div>
        );
    }
};
